import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class GuiSort extends JPanel
{
	public static final int HEIGHT = 500;
	public static final int WIDTH = 500;
	private final List<Integer> list_;

	public GuiSort(List<Integer> list)
	{
		if(list == null)
			throw new IllegalArgumentException("Array is null!");
		list_ = list;
		
		setPreferredSize(new Dimension(HEIGHT, WIDTH));
	}
	
	
	
	@Override
	public void paintComponent(Graphics g)
	{
		g.clearRect(0, 0, WIDTH, HEIGHT);
		g.setColor(Color.red);
		int itemWidth = (int) Math.round((double)getWidth()/list_.size());
		int x = 0;
		for(int i: list_)
		{
			g.fillRect((x++)*itemWidth,  getHeight() - i, itemWidth - 2, i);
		}
		
		
	}



}
